Holger's Java API

## com.antelmann.genealogy.db
Class GPersonRelationStore

    java.lang.Object
      com.antelmann.sql.JDBCRowStore<T>
          com.antelmann.sql.RelationshipStore<GPersonRelation>
              com.antelmann.genealogy.db.GPersonRelationStore

All Implemented Interfaces:
  DBClassStore<GPersonRelation>, TransactionRequired, MappingInfo, RelationshipManager, ProcessorHook<GPersonRelation,DatabaseException>

    public class GPersonRelationStore

extends RelationshipStore<GPersonRelation>

Since:
  01.01.2015, 01:36:43
Author:
  holger

Nested Class Summary

Nested classes/interfaces inherited from class com.antelmann.sql.RelationshipStore
`RelationshipStore.Mapper<T extends DefaultEntryRelationship>`

Nested classes/interfaces inherited from interface com.antelmann.sql.RelationshipManager
`RelationshipManager.Column`

Nested classes/interfaces inherited from interface com.antelmann.db.DBClassStore
`DBClassStore.DBMethod`

Field Summary

Fields inherited from class com.antelmann.sql.JDBCRowStore
`database, ensureTransactionsOnFetch, helper, mapper`

Constructor Summary
`GPersonRelationStore(Database<Connection> db, IDFactory factory)`

Method Summary

Methods inherited from class com.antelmann.sql.RelationshipStore

`countRelations, findBrokenRelationships, findBrokenRelationships, findBrokenRelationships, getDefaultColumns, getEntryClassMapper, getMapper, hasRelationships, listAllRelations, listRelations, setDefaultRelationType, setEntryClassMapper, setFromClass, setPreventSameRelation, setTableQuery, setToClass, setVerifyRelationsOnStore, translateForColumn, translateForColumn, translateMap, translateQueryMap`

Methods inherited from class com.antelmann.sql.JDBCRowStore

`add, checkTransaction, containsID, deleteEntries, deleteEntry, fetch, fetchStubs, generateNewID, getColumnNames, getColumnsForTopic, getColumnSize, getDatabase, getDisplayColumn, getDisplayNameForColumn, getEntry, getEntryClass, getIDColumn, getMappingForTopic, getSQLTypeforColumn, getStub, getTableName, getTableQuery, insert, insertAsNew, isFastDelete, isIgnoreInvalidProperties, remove, setFastDelete, setIgnoreInvalidProperties, size, trimIdString, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GPersonRelationStore

    public GPersonRelationStore(Database<Connection> db,
                                IDFactory factory)
                         throws DatabaseException

Throws:
  `DatabaseException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads